Package javax.validation.metadata

# Interface MethodDescriptor

All Superinterfaces:
  `ElementDescriptor`, `ExecutableDescriptor`

public interface MethodDescriptor extends ExecutableDescriptor

Since:
  1.1

## Nested Class Summary

## Nested classes/interfaces inherited from interface javax.validation.metadata.ElementDescriptor

`ElementDescriptor.ConstraintFinder`

## Method Summary

### Methods inherited from interface javax.validation.metadata.ElementDescriptor

`findConstraints, getConstraintDescriptors, getElementClass, hasConstraints`

### Methods inherited from interface javax.validation.metadata.ExecutableDescriptor

`getCrossParameterDescriptor, getName, getParameterDescriptors, getReturnValueDescriptor, hasConstrainedParameters, hasConstrainedReturnValue`